/**
 * Autogenerated by Thrift Compiler (0.13.0)
 *
 * DO NOT EDIT UNLESS YOU ARE SURE THAT YOU KNOW WHAT YOU ARE DOING
 *  @generated
 */
package org.eclipse.hawk.service.api;


@javax.annotation.Generated(value = "Autogenerated by Thrift Compiler (0.13.0)", date = "2021-04-18")
public enum SubscriptionDurability implements org.apache.thrift.TEnum {
  DEFAULT(0),
  DURABLE(1),
  TEMPORARY(2);

  private final int value;

  private SubscriptionDurability(int value) {
    this.value = value;
  }

  /**
   * Get the integer value of this enum value, as defined in the Thrift IDL.
   */
  public int getValue() {
    return value;
  }

  /**
   * Find a the enum type by its integer value, as defined in the Thrift IDL.
   * @return null if the value is not found.
   */
  @org.apache.thrift.annotation.Nullable
  public static SubscriptionDurability findByValue(int value) { 
    switch (value) {
      case 0:
        return DEFAULT;
      case 1:
        return DURABLE;
      case 2:
        return TEMPORARY;
      default:
        return null;
    }
  }
}
